Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Announcement banner
  • App data policies
  • App migration
  • App properties
  • Application roles
  • Audit records
  • Avatars
  • Classification levels
  • Dashboards
  • Dynamic modules
  • Field schemes
  • Filter sharing
  • Filters
  • Group and user picker
  • Groups
  • Issue attachments
  • Issue bulk operations
  • Issue comment properties
  • Issue comments
  • Issue custom field associations
  • Issue custom field configuration (apps)
  • Issue custom field contexts
  • Issue custom field options
  • Issue custom field options (apps)
  • Issue custom field values (apps)
  • Issue field configurations
  • Issue fields
  • Issue navigator settings
  • Issue notification schemes
  • Issue priorities
  • Issue properties
  • Issue redaction
  • Issue resolutions
  • Issue security level
  • Issue security schemes
  • Issue type properties
  • Issue type schemes
  • Issue type screen schemes
  • Issue types
  • Issue votes
  • Issue watchers
  • Issue worklog properties
  • Issue worklogs
  • Issues
  • JQL
  • JQL functions (apps)
  • Jira expressions
  • Jira settings
  • Labels
  • License metrics
  • Migration of Connect modules to Forge
  • Myself
  • Permission schemes
  • Permissions
  • Plans
  • Priority schemes
  • Project avatars
  • Project categories
  • Project classification levels
  • Project components
  • Project email
  • Project features
  • Project key and name validation
  • Project permission schemes
  • Project properties
  • Project role actors
  • Project roles
  • Project templates
  • Project types
  • Project versions
  • Projects
  • Screen schemes
  • Screen tab fields
  • Screen tabs
  • Screens
  • Server info
  • Service Registry
  • Status
  • Tasks
  • Teams in plan
  • Time tracking
  • UI modifications (apps)
  • User properties
  • Users
  • Webhooks
  • Workflow scheme drafts
  • Workflow scheme project associations
  • Workflow schemes
  • Workflow status categories
  • Workflow statuses
  • Workflow transition properties
  • Workflow transition rules
  • Workflows
  • Other operations
Cloud
Jira Cloud platform / Reference / REST API v3

Field schemes

Postman Collection
OpenAPI
GET

Get field schemesExperimental

REST endpoint for retrieving a paginated list of field association schemes with optional filtering.

This endpoint allows clients to fetch field association schemes with optional filtering by project IDs and text queries. The response includes scheme details with navigation links and filter metadata when applicable.

Filtering Behavior:

  • When projectId or query parameters are provided, the response includes matchedFilters metadata showing which filters were applied.
  • When no filters are applied, matchedFilters is omitted from individual scheme objects

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:read:field-configuration-scheme:jira

Connect apps cannot access this REST resource.

Request

Query parameters

projectId

array<integer>

query

string

startAt

integer

maxResults

integer

Responses

Pagianted list of field association schemes

application/json

PageBean2GetFieldAssociationSchemeResponse

A page of items.

GET/rest/api/3/config/fieldschemes
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; const response = await requestJira(`/rest/api/3/config/fieldschemes`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 { "description": "Field Association Scheme test description", "id": 1000, "isDefault": false, "links": { "associations": "rest/api/3/config/fieldschemes/10000/associations", "projects": "rest/api/3/config/fieldschemes/10000/projects" }, "matchedFilters": { "projectIds": [ 10001, 10002 ], "query": "query" }, "name": "Field Association Scheme test name" }
POST

Create field schemeExperimental

Endpoint for creating a new field association scheme.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:write:field-configuration-scheme:jira

Connect apps cannot access this REST resource.

Request

Request bodyapplication/json

The request containing the name and description of the field association scheme

description

string

name

string

Required

Responses

Returned if the creation was successful.

application/json

CreateFieldAssociationSchemeResponse

Response object after successfully creating a new field association scheme.

POST/rest/api/3/config/fieldschemes
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "description": "Field association scheme description", "name": "Field association scheme name" }`; const response = await requestJira(`/rest/api/3/config/fieldschemes`, { method: 'POST', headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 { "description": "Field association scheme description", "id": 10000, "links": { "associations": "{BASE_API_URL}/rest/api/2/config/fieldschemes/9/associations", "projects": "{BASE_API_URL}/rest/api/2/config/fieldschemes/9/projects" }, "name": "Field association scheme name" }
PUT

Update fields associated with field schemesExperimental

Update fields associated with field association schemes.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:write:field-configuration:jira

Connect apps cannot access this REST resource.

Request

Request bodyapplication/json

The request containing the schemes and work types to associate each field with.

Additional Properties

array<UpdateFieldAssociationsRequestItem>

Responses

Returned if the field association update was successful.

application/json

FieldSchemeToFieldsResponse

Response for updating field associations.

PUT/rest/api/3/config/fieldschemes/fields
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "customfield_10000": [ { "restrictedToWorkTypes": [ 1, 2 ], "schemeIds": [ 10000, 10001 ] } ], "customfield_10001": [ { "schemeIds": [ 10002 ] } ] }`; const response = await requestJira(`/rest/api/3/config/fieldschemes/fields`, { method: 'PUT', headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 { "results": [ { "fieldId": "customfield_10000", "schemeId": 10000, "success": true, "workTypeIds": [ 1, 2 ] }, { "fieldId": "customfield_10001", "schemeId": 10002, "success": true, "workTypeIds": [] } ] }
DEL

Remove fields associated with field schemesExperimental

Remove fields associated with field association schemes.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:write:field-configuration:jira

Connect apps cannot access this REST resource.

Request

Request bodyapplication/json

The request containing the schemes and fields to be removed.

Additional Properties

RemoveFieldAssociationsRequestItem

Responses

Returned if the field association update was successful.

application/json

MinimalFieldSchemeToFieldsResponse

Minimal response for updating field scheme to fields associations.

DEL/rest/api/3/config/fieldschemes/fields
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "customfield_10000": { "schemeIds": [ 10000, 10001 ] }, "customfield_10001": { "schemeIds": [ 10002 ] } }`; const response = await requestJira(`/rest/api/3/config/fieldschemes/fields`, { method: 'DELETE', headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "results": [ { "fieldId": "customfield_10000", "schemeId": 10000, "success": true }, { "fieldId": "customfield_10001", "schemeId": 10002, "success": true } ] }
PUT

Update field parametersExperimental

Update field association item parameters in field association schemes.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:write:field-configuration:jira

Connect apps cannot access this REST resource.

Request

Request bodyapplication/json

The request containing the field association scheme id and the parameters to update.

Additional Properties

array<UpdateFieldSchemeParametersRequest>

Responses

Returned if the field parameter update was successful.

application/json

UpdateFieldSchemeParametersResponse

Response bean for field scheme parameter update operations.

PUT/rest/api/3/config/fieldschemes/fields/parameters
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "customfield_10000": [ { "parameters": { "description": "Field description", "isRequired": true }, "schemeIds": [ 10000, 10001 ], "workTypeParameters": [ { "description": "Description for Bug", "isRequired": false, "workTypeId": 10002 } ] } ], "customfield_10001": [ { "schemeIds": [ 10001 ], "workTypeParameters": [ { "description": "Description for Bug", "isRequired": false, "workTypeId": 10002 }, { "description": "Description for Task", "isRequired": true, "workTypeId": 10003 } ] } ] }`; const response = await requestJira(`/rest/api/3/config/fieldschemes/fields/parameters`, { method: 'PUT', headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 { "results": [ { "fieldId": "customfield_10000", "schemeId": 10000, "success": true }, { "fieldId": "customfield_10001", "schemeId": 10002, "success": true, "workTypeId": 10001 } ] }
DEL

Remove field parametersExperimental

Remove field association parameters overrides for work types.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:write:field-configuration:jira

Connect apps cannot access this REST resource.

Request

Request bodyapplication/json

Additional Properties

array<ParameterRemovalDetails>

Responses

Returned if the removal was successful.

DEL/rest/api/3/config/fieldschemes/fields/parameters
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "customfield_10000": [ { "parameters": [ "description", "isRequired" ], "schemeId": 10000, "workTypeIds": [ 1, 2 ] } ], "description": [ { "parameters": [ "description" ], "schemeId": 10001, "workTypeIds": [ 3 ] } ] }`; const response = await requestJira(`/rest/api/3/config/fieldschemes/fields/parameters`, { method: 'DELETE', headers: { 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.text());
GET

Get projects with field schemesExperimental

Get projects with field association schemes. This will be a temporary API but useful when transitioning from the legacy field configuration APIs to the new ones.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:read:field-configuration-scheme:jira

Connect apps cannot access this REST resource.

Request

Query parameters

startAt

integer

maxResults

integer

projectId

array<integer>

Required

Responses

Returns the list of project with field association schemes.

application/json

PageBean2GetProjectsWithFieldSchemesResponse

A page of items.

GET/rest/api/3/config/fieldschemes/projects
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; const response = await requestJira(`/rest/api/3/config/fieldschemes/projects?projectId={projectId}`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 { "isLast": true, "maxResults": 3, "startAt": 0, "total": 3, "values": [ { "projectId": 10000, "schemeId": 1 }, { "projectId": 10001, "schemeId": 1 }, { "projectId": 10002, "schemeId": 2 } ] }
PUT

Associate projects to field schemesExperimental

Associate projects to field association schemes.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:write:field-configuration:jira

Connect apps cannot access this REST resource.

Request

Request bodyapplication/json

Additional Properties

FieldSchemeToProjectsRequest

Responses

Returned if the association was successful.

application/json

FieldSchemeToProjectsResponse

Response for updating field scheme to projects associations.

PUT/rest/api/3/config/fieldschemes/projects
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "10000": { "projectIds": [ 10000, 10001 ] }, "10001": { "projectIds": [ 10002 ] } }`; const response = await requestJira(`/rest/api/3/config/fieldschemes/projects`, { method: 'PUT', headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "results": [ { "projectId": 10001, "schemeId": 10000, "success": true }, { "projectId": 10002, "schemeId": 10001, "success": true } ] }
GET

Get field schemeExperimental

Endpoint for fetching a field association scheme by its ID

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:read:field-configuration-scheme:jira

Connect apps cannot access this REST resource.

Request

Path parameters

id

integer

Required

Responses

Returned if a field association scheme matches the given scheme ID

application/json

GetFieldAssociationSchemeByIdResponse

Response object for getting a field association scheme by ID.

GET/rest/api/3/config/fieldschemes/{id}
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; const response = await requestJira(`/rest/api/3/config/fieldschemes/{id}`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 { "description": "This is a field association scheme", "id": "123", "isDefault": false, "links": { "associations": "rest/api/3/config/fieldschemes/10000/associations", "projects": "rest/api/3/config/fieldschemes/10000/projects" }, "name": "Scheme" }
PUT

Update field schemeExperimental

Endpoint for updating an existing field association scheme.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:write:field-configuration-scheme:jira

Connect apps cannot access this REST resource.

Request

Path parameters

id

integer

Required

Request bodyapplication/json

The request containing the desired updates to the field association scheme

description

string

name

string

Responses

Returned if the update was successful.

application/json

UpdateFieldAssociationSchemeResponse

Response object after successfully updating an existing field association scheme.

PUT/rest/api/3/config/fieldschemes/{id}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "description": "Field association scheme description", "name": "Field association scheme name" }`; const response = await requestJira(`/rest/api/3/config/fieldschemes/{id}`, { method: 'PUT', headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 { "description": "Field association scheme description", "id": 10000, "links": { "associations": "{BASE_API_URL}/rest/api/2/config/fieldschemes/9/associations", "projects": "{BASE_API_URL}/rest/api/2/config/fieldschemes/9/projects" }, "name": "Field association scheme name" }
DEL

Delete a field schemeExperimental

Delete a specified field association scheme

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:write:field-configuration-scheme:jira

Connect apps cannot access this REST resource.

Request

Path parameters

id

integer

Required

Responses

Returned if the field association scheme deletion was successful.

application/json

DeleteFieldAssociationSchemeResponse

Response object after successfully deleting a field association scheme.

DEL/rest/api/3/config/fieldschemes/{id}
1 2 3 4 5 6 7 8 9 10 11 12 13 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; const response = await requestJira(`/rest/api/3/config/fieldschemes/{id}`, { method: 'DELETE', headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 { "deleted": true, "id": "10000" }
GET

Search field scheme fieldsExperimental

Search for fields belonging to a given field association scheme.

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:read:field-configuration:jira

Connect apps cannot access this REST resource.

Request

Path parameters

id

integer

Required

Query parameters

startAt

integer

maxResults

integer

fieldId

array<string>

Responses

Returns the matching fields, at the specified page of the results.

application/json

PageBean2FieldAssociationSchemeFieldSearchResult

A page of items.

GET/rest/api/3/config/fieldschemes/{id}/fields
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; const response = await requestJira(`/rest/api/3/config/fieldschemes/{id}/fields`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 { "allowedOperations": [ "REMOVE", "CHANGE_REQUIRED", "CHANGE_DESCRIPTION" ], "fieldId": "customfield_10000", "parameters": { "description": "text", "isRequired": true }, "restrictedToWorkTypes": [ "1", "2" ], "workTypeParameters": [ { "description": "text", "isRequired": true, "workTypeId": "1" }, { "description": "textarea", "isRequired": false, "workTypeId": "2" } ] }
GET

Get field parametersExperimental

Retrieve field association parameters on a field association scheme

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:read:field-configuration:jira

Connect apps cannot access this REST resource.

Request

Path parameters

id

integer

Required
fieldId

string

Required

Responses

Returned if the parameters fetched were successful.

application/json

GetFieldAssociationParametersResponse

Response object for getting field association parameters.

GET/rest/api/3/config/fieldschemes/{id}/fields/{fieldId}/parameters
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; const response = await requestJira(`/rest/api/3/config/fieldschemes/{id}/fields/{fieldId}/parameters`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "fieldId": "customfield_10000", "parameters": { "description": "Teams field", "isRequired": true }, "workTypeParameters": [ { "description": "Teams field", "isRequired": false, "workTypeId": 10010 } ] }
GET

Search field scheme projectsExperimental

REST Endpoint for searching for projects belonging to a given field association scheme

Permissions required: Administer Jira global permission.

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:jira-configuration
Granular:read:field-configuration:jira

Connect apps cannot access this REST resource.

Request

Path parameters

id

integer

Required

Query parameters

startAt

integer

maxResults

integer

projectId

array<integer>

Responses

Returns a paginated list of projects associated with the field association scheme, matching the specified filter criteria.

application/json

PageBean2FieldAssociationSchemeProjectSearchResult

A page of items.

GET/rest/api/3/config/fieldschemes/{id}/projects
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; const response = await requestJira(`/rest/api/3/config/fieldschemes/{id}/projects`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "isLast": true, "maxResults": 51, "nextPage": "<string>", "self": "<string>", "startAt": 37, "total": 29, "values": [ { "id": "<string>", "name": "<string>" } ] }

Rate this page: